package algorithm

import (
	"github.com/stretchr/testify/assert"
	"strings"
	"testing"
)

func TestFlush1(t *testing.T) {
	var s = "9 J Q K A |" +
		"8 J Q K A |" +
		"7 J Q K A |" +
		"6 J Q K A |" +
		"5 J Q K A |" +
		"4 J Q K A |" +
		"3 J Q K A |" +
		"2 J Q K A |" +
		"9 T Q K A |" +
		"8 T Q K A |" +
		"7 T Q K A |" +
		"6 T Q K A |" +
		"5 T Q K A |" +
		"4 T Q K A |" +
		"3 T Q K A |" +
		"2 T Q K A |" +
		"8 9 Q K A |" +
		"7 9 Q K A |" +
		"6 9 Q K A |" +
		"5 9 Q K A |" +
		"4 9 Q K A |" +
		"3 9 Q K A |" +
		"2 9 Q K A |" +
		"7 8 Q K A |" +
		"6 8 Q K A |" +
		"5 8 Q K A |" +
		"4 8 Q K A |" +
		"3 8 Q K A |" +
		"2 8 Q K A |" +
		"6 7 Q K A |" +
		"5 7 Q K A |" +
		"4 7 Q K A |" +
		"3 7 Q K A |" +
		"2 7 Q K A |" +
		"5 6 Q K A |" +
		"4 6 Q K A |" +
		"3 6 Q K A |" +
		"2 6 Q K A |" +
		"4 5 Q K A |" +
		"3 5 Q K A |" +
		"2 5 Q K A |" +
		"3 4 Q K A |" +
		"2 4 Q K A |" +
		"2 3 Q K A |" +
		"9 T J K A |" +
		"8 T J K A |" +
		"7 T J K A |" +
		"6 T J K A |" +
		"5 T J K A |" +
		"4 T J K A |" +
		"3 T J K A |" +
		"2 T J K A |" +
		"8 9 J K A |" +
		"7 9 J K A |" +
		"6 9 J K A |" +
		"5 9 J K A |" +
		"4 9 J K A |" +
		"3 9 J K A |" +
		"2 9 J K A |" +
		"7 8 J K A |" +
		"6 8 J K A |" +
		"5 8 J K A |" +
		"4 8 J K A |" +
		"3 8 J K A |" +
		"2 8 J K A |" +
		"6 7 J K A |" +
		"5 7 J K A |" +
		"4 7 J K A |" +
		"3 7 J K A |" +
		"2 7 J K A |" +
		"5 6 J K A |" +
		"4 6 J K A |" +
		"3 6 J K A |" +
		"2 6 J K A |" +
		"4 5 J K A |" +
		"3 5 J K A |" +
		"2 5 J K A |" +
		"3 4 J K A |" +
		"2 4 J K A |" +
		"2 3 J K A |" +
		"8 9 T K A |" +
		"7 9 T K A |" +
		"6 9 T K A |" +
		"5 9 T K A |" +
		"4 9 T K A |" +
		"3 9 T K A |" +
		"2 9 T K A |" +
		"7 8 T K A |" +
		"6 8 T K A |" +
		"5 8 T K A |" +
		"4 8 T K A |" +
		"3 8 T K A |" +
		"2 8 T K A |" +
		"6 7 T K A |" +
		"5 7 T K A |" +
		"4 7 T K A |" +
		"3 7 T K A |" +
		"2 7 T K A |" +
		"5 6 T K A |" +
		"4 6 T K A |" +
		"3 6 T K A |" +
		"2 6 T K A |" +
		"4 5 T K A |" +
		"3 5 T K A |" +
		"2 5 T K A |" +
		"3 4 T K A |" +
		"2 4 T K A |" +
		"2 3 T K A |" +
		"7 8 9 K A |" +
		"6 8 9 K A |" +
		"5 8 9 K A |" +
		"4 8 9 K A |" +
		"3 8 9 K A |" +
		"2 8 9 K A |" +
		"6 7 9 K A |" +
		"5 7 9 K A |" +
		"4 7 9 K A |" +
		"3 7 9 K A |" +
		"2 7 9 K A |" +
		"5 6 9 K A |" +
		"4 6 9 K A |" +
		"3 6 9 K A |" +
		"2 6 9 K A |" +
		"4 5 9 K A |" +
		"3 5 9 K A |" +
		"2 5 9 K A |" +
		"3 4 9 K A |" +
		"2 4 9 K A |" +
		"2 3 9 K A |" +
		"6 7 8 K A |" +
		"5 7 8 K A |" +
		"4 7 8 K A |" +
		"3 7 8 K A |" +
		"2 7 8 K A |" +
		"5 6 8 K A |" +
		"4 6 8 K A |" +
		"3 6 8 K A |" +
		"2 6 8 K A |" +
		"4 5 8 K A |" +
		"3 5 8 K A |" +
		"2 5 8 K A |" +
		"3 4 8 K A |" +
		"2 4 8 K A |" +
		"2 3 8 K A |" +
		"5 6 7 K A |" +
		"4 6 7 K A |" +
		"3 6 7 K A |" +
		"2 6 7 K A |" +
		"4 5 7 K A |" +
		"3 5 7 K A |" +
		"2 5 7 K A |" +
		"3 4 7 K A |" +
		"2 4 7 K A |" +
		"2 3 7 K A |" +
		"4 5 6 K A |" +
		"3 5 6 K A |" +
		"2 5 6 K A |" +
		"3 4 6 K A |" +
		"2 4 6 K A |" +
		"2 3 6 K A |" +
		"3 4 5 K A |" +
		"2 4 5 K A |" +
		"2 3 5 K A |" +
		"2 3 4 K A |" +
		"9 T J Q A |" +
		"8 T J Q A |" +
		"7 T J Q A |" +
		"6 T J Q A |" +
		"5 T J Q A |" +
		"4 T J Q A |" +
		"3 T J Q A |" +
		"2 T J Q A |" +
		"8 9 J Q A |" +
		"7 9 J Q A |" +
		"6 9 J Q A |" +
		"5 9 J Q A |" +
		"4 9 J Q A |" +
		"3 9 J Q A |" +
		"2 9 J Q A |" +
		"7 8 J Q A |" +
		"6 8 J Q A |" +
		"5 8 J Q A |" +
		"4 8 J Q A |" +
		"3 8 J Q A |" +
		"2 8 J Q A |" +
		"6 7 J Q A |" +
		"5 7 J Q A |" +
		"4 7 J Q A |" +
		"3 7 J Q A |" +
		"2 7 J Q A |" +
		"5 6 J Q A |" +
		"4 6 J Q A |" +
		"3 6 J Q A |" +
		"2 6 J Q A |" +
		"4 5 J Q A |" +
		"3 5 J Q A |" +
		"2 5 J Q A |" +
		"3 4 J Q A |" +
		"2 4 J Q A |" +
		"2 3 J Q A |" +
		"8 9 T Q A |" +
		"7 9 T Q A |" +
		"6 9 T Q A |" +
		"5 9 T Q A |" +
		"4 9 T Q A |" +
		"3 9 T Q A |" +
		"2 9 T Q A |" +
		"7 8 T Q A |" +
		"6 8 T Q A |" +
		"5 8 T Q A |" +
		"4 8 T Q A |" +
		"3 8 T Q A |" +
		"2 8 T Q A |" +
		"6 7 T Q A |" +
		"5 7 T Q A |" +
		"4 7 T Q A |" +
		"3 7 T Q A |" +
		"2 7 T Q A |" +
		"5 6 T Q A |" +
		"4 6 T Q A |" +
		"3 6 T Q A |" +
		"2 6 T Q A |" +
		"4 5 T Q A |" +
		"3 5 T Q A |" +
		"2 5 T Q A |" +
		"3 4 T Q A |" +
		"2 4 T Q A |" +
		"2 3 T Q A |" +
		"7 8 9 Q A |" +
		"6 8 9 Q A |" +
		"5 8 9 Q A |" +
		"4 8 9 Q A |" +
		"3 8 9 Q A |" +
		"2 8 9 Q A |" +
		"6 7 9 Q A |" +
		"5 7 9 Q A |" +
		"4 7 9 Q A |" +
		"3 7 9 Q A |" +
		"2 7 9 Q A |" +
		"5 6 9 Q A |" +
		"4 6 9 Q A |" +
		"3 6 9 Q A |" +
		"2 6 9 Q A |" +
		"4 5 9 Q A |" +
		"3 5 9 Q A |" +
		"2 5 9 Q A |" +
		"3 4 9 Q A |" +
		"2 4 9 Q A |" +
		"2 3 9 Q A |" +
		"6 7 8 Q A |" +
		"5 7 8 Q A |" +
		"4 7 8 Q A |" +
		"3 7 8 Q A |" +
		"2 7 8 Q A |" +
		"5 6 8 Q A |" +
		"4 6 8 Q A |" +
		"3 6 8 Q A |" +
		"2 6 8 Q A |" +
		"4 5 8 Q A |" +
		"3 5 8 Q A |" +
		"2 5 8 Q A |" +
		"3 4 8 Q A |" +
		"2 4 8 Q A |" +
		"2 3 8 Q A |" +
		"5 6 7 Q A |" +
		"4 6 7 Q A |" +
		"3 6 7 Q A |" +
		"2 6 7 Q A |" +
		"4 5 7 Q A |" +
		"3 5 7 Q A |" +
		"2 5 7 Q A |" +
		"3 4 7 Q A |" +
		"2 4 7 Q A |" +
		"2 3 7 Q A |" +
		"4 5 6 Q A |" +
		"3 5 6 Q A |" +
		"2 5 6 Q A |" +
		"3 4 6 Q A |" +
		"2 4 6 Q A |" +
		"2 3 6 Q A |" +
		"3 4 5 Q A |" +
		"2 4 5 Q A |" +
		"2 3 5 Q A |" +
		"2 3 4 Q A |" +
		"8 9 T J A |" +
		"7 9 T J A |" +
		"6 9 T J A |" +
		"5 9 T J A |" +
		"4 9 T J A |" +
		"3 9 T J A |" +
		"2 9 T J A |" +
		"7 8 T J A |" +
		"6 8 T J A |" +
		"5 8 T J A |" +
		"4 8 T J A |" +
		"3 8 T J A |" +
		"2 8 T J A |" +
		"6 7 T J A |" +
		"5 7 T J A |" +
		"4 7 T J A |" +
		"3 7 T J A |" +
		"2 7 T J A |" +
		"5 6 T J A |" +
		"4 6 T J A |" +
		"3 6 T J A |" +
		"2 6 T J A |" +
		"4 5 T J A |" +
		"3 5 T J A |" +
		"2 5 T J A |" +
		"3 4 T J A |" +
		"2 4 T J A |" +
		"2 3 T J A |" +
		"7 8 9 J A |" +
		"6 8 9 J A |" +
		"5 8 9 J A |" +
		"4 8 9 J A |" +
		"3 8 9 J A |" +
		"2 8 9 J A |" +
		"6 7 9 J A |" +
		"5 7 9 J A |" +
		"4 7 9 J A |" +
		"3 7 9 J A |" +
		"2 7 9 J A |" +
		"5 6 9 J A |" +
		"4 6 9 J A |" +
		"3 6 9 J A |" +
		"2 6 9 J A |" +
		"4 5 9 J A |" +
		"3 5 9 J A |" +
		"2 5 9 J A |" +
		"3 4 9 J A |" +
		"2 4 9 J A |" +
		"2 3 9 J A |" +
		"6 7 8 J A |" +
		"5 7 8 J A |" +
		"4 7 8 J A |" +
		"3 7 8 J A |" +
		"2 7 8 J A |" +
		"5 6 8 J A |" +
		"4 6 8 J A |" +
		"3 6 8 J A |" +
		"2 6 8 J A |" +
		"4 5 8 J A |" +
		"3 5 8 J A |" +
		"2 5 8 J A |" +
		"3 4 8 J A |" +
		"2 4 8 J A |" +
		"2 3 8 J A |" +
		"5 6 7 J A |" +
		"4 6 7 J A |" +
		"3 6 7 J A |" +
		"2 6 7 J A |" +
		"4 5 7 J A |" +
		"3 5 7 J A |" +
		"2 5 7 J A |" +
		"3 4 7 J A |" +
		"2 4 7 J A |" +
		"2 3 7 J A |" +
		"4 5 6 J A |" +
		"3 5 6 J A |" +
		"2 5 6 J A |" +
		"3 4 6 J A |" +
		"2 4 6 J A |" +
		"2 3 6 J A |" +
		"3 4 5 J A |" +
		"2 4 5 J A |" +
		"2 3 5 J A |" +
		"2 3 4 J A |" +
		"7 8 9 T A |" +
		"6 8 9 T A |" +
		"5 8 9 T A |" +
		"4 8 9 T A |" +
		"3 8 9 T A |" +
		"2 8 9 T A |" +
		"6 7 9 T A |" +
		"5 7 9 T A |" +
		"4 7 9 T A |" +
		"3 7 9 T A |" +
		"2 7 9 T A |" +
		"5 6 9 T A |" +
		"4 6 9 T A |" +
		"3 6 9 T A |" +
		"2 6 9 T A |" +
		"4 5 9 T A |" +
		"3 5 9 T A |" +
		"2 5 9 T A |" +
		"3 4 9 T A |" +
		"2 4 9 T A |" +
		"2 3 9 T A |" +
		"6 7 8 T A |" +
		"5 7 8 T A |" +
		"4 7 8 T A |" +
		"3 7 8 T A |" +
		"2 7 8 T A |" +
		"5 6 8 T A |" +
		"4 6 8 T A |" +
		"3 6 8 T A |" +
		"2 6 8 T A |" +
		"4 5 8 T A |" +
		"3 5 8 T A |" +
		"2 5 8 T A |" +
		"3 4 8 T A |" +
		"2 4 8 T A |" +
		"2 3 8 T A |" +
		"5 6 7 T A |" +
		"4 6 7 T A |" +
		"3 6 7 T A |" +
		"2 6 7 T A |" +
		"4 5 7 T A |" +
		"3 5 7 T A |" +
		"2 5 7 T A |" +
		"3 4 7 T A |" +
		"2 4 7 T A |" +
		"2 3 7 T A |" +
		"4 5 6 T A |" +
		"3 5 6 T A |" +
		"2 5 6 T A |" +
		"3 4 6 T A |" +
		"2 4 6 T A |" +
		"2 3 6 T A |" +
		"3 4 5 T A |" +
		"2 4 5 T A |" +
		"2 3 5 T A |" +
		"2 3 4 T A |" +
		"6 7 8 9 A |" +
		"5 7 8 9 A |" +
		"4 7 8 9 A |" +
		"3 7 8 9 A |" +
		"2 7 8 9 A |" +
		"5 6 8 9 A |" +
		"4 6 8 9 A |" +
		"3 6 8 9 A |" +
		"2 6 8 9 A |" +
		"4 5 8 9 A |" +
		"3 5 8 9 A |" +
		"2 5 8 9 A |" +
		"3 4 8 9 A |" +
		"2 4 8 9 A |" +
		"2 3 8 9 A |" +
		"5 6 7 9 A |" +
		"4 6 7 9 A |" +
		"3 6 7 9 A |" +
		"2 6 7 9 A |" +
		"4 5 7 9 A |" +
		"3 5 7 9 A |" +
		"2 5 7 9 A |" +
		"3 4 7 9 A |" +
		"2 4 7 9 A |" +
		"2 3 7 9 A |" +
		"4 5 6 9 A |" +
		"3 5 6 9 A |" +
		"2 5 6 9 A |" +
		"3 4 6 9 A |" +
		"2 4 6 9 A |" +
		"2 3 6 9 A |" +
		"3 4 5 9 A |" +
		"2 4 5 9 A |" +
		"2 3 5 9 A |" +
		"2 3 4 9 A |" +
		"5 6 7 8 A |" +
		"4 6 7 8 A |" +
		"3 6 7 8 A |" +
		"2 6 7 8 A |" +
		"4 5 7 8 A |" +
		"3 5 7 8 A |" +
		"2 5 7 8 A |" +
		"3 4 7 8 A |" +
		"2 4 7 8 A |" +
		"2 3 7 8 A |" +
		"4 5 6 8 A |" +
		"3 5 6 8 A |" +
		"2 5 6 8 A |" +
		"3 4 6 8 A |" +
		"2 4 6 8 A |" +
		"2 3 6 8 A |" +
		"3 4 5 8 A |" +
		"2 4 5 8 A |" +
		"2 3 5 8 A |" +
		"2 3 4 8 A |" +
		"4 5 6 7 A |" +
		"3 5 6 7 A |" +
		"2 5 6 7 A |" +
		"3 4 6 7 A |" +
		"2 4 6 7 A |" +
		"2 3 6 7 A |" +
		"3 4 5 7 A |" +
		"2 4 5 7 A |" +
		"2 3 5 7 A |" +
		"2 3 4 7 A |" +
		"3 4 5 6 A |" +
		"2 4 5 6 A |" +
		"2 3 5 6 A |" +
		"2 3 4 6 A |" +
		"8 T J Q K |" +
		"7 T J Q K |" +
		"6 T J Q K |" +
		"5 T J Q K |" +
		"4 T J Q K |" +
		"3 T J Q K |" +
		"2 T J Q K |" +
		"8 9 J Q K |" +
		"7 9 J Q K |" +
		"6 9 J Q K |" +
		"5 9 J Q K |" +
		"4 9 J Q K |" +
		"3 9 J Q K |" +
		"2 9 J Q K |" +
		"7 8 J Q K |" +
		"6 8 J Q K |" +
		"5 8 J Q K |" +
		"4 8 J Q K |" +
		"3 8 J Q K |" +
		"2 8 J Q K |" +
		"6 7 J Q K |" +
		"5 7 J Q K |" +
		"4 7 J Q K |" +
		"3 7 J Q K |" +
		"2 7 J Q K |" +
		"5 6 J Q K |" +
		"4 6 J Q K |" +
		"3 6 J Q K |" +
		"2 6 J Q K |" +
		"4 5 J Q K |" +
		"3 5 J Q K |" +
		"2 5 J Q K |" +
		"3 4 J Q K |" +
		"2 4 J Q K |" +
		"2 3 J Q K |" +
		"8 9 T Q K |" +
		"7 9 T Q K |" +
		"6 9 T Q K |" +
		"5 9 T Q K |" +
		"4 9 T Q K |" +
		"3 9 T Q K |" +
		"2 9 T Q K |" +
		"7 8 T Q K |" +
		"6 8 T Q K |" +
		"5 8 T Q K |" +
		"4 8 T Q K |" +
		"3 8 T Q K |" +
		"2 8 T Q K |" +
		"6 7 T Q K |" +
		"5 7 T Q K |" +
		"4 7 T Q K |" +
		"3 7 T Q K |" +
		"2 7 T Q K |" +
		"5 6 T Q K |" +
		"4 6 T Q K |" +
		"3 6 T Q K |" +
		"2 6 T Q K |" +
		"4 5 T Q K |" +
		"3 5 T Q K |" +
		"2 5 T Q K |" +
		"3 4 T Q K |" +
		"2 4 T Q K |" +
		"2 3 T Q K |" +
		"7 8 9 Q K |" +
		"6 8 9 Q K |" +
		"5 8 9 Q K |" +
		"4 8 9 Q K |" +
		"3 8 9 Q K |" +
		"2 8 9 Q K |" +
		"6 7 9 Q K |" +
		"5 7 9 Q K |" +
		"4 7 9 Q K |" +
		"3 7 9 Q K |" +
		"2 7 9 Q K |" +
		"5 6 9 Q K |" +
		"4 6 9 Q K |" +
		"3 6 9 Q K |" +
		"2 6 9 Q K |" +
		"4 5 9 Q K |" +
		"3 5 9 Q K |" +
		"2 5 9 Q K |" +
		"3 4 9 Q K |" +
		"2 4 9 Q K |" +
		"2 3 9 Q K |" +
		"6 7 8 Q K |" +
		"5 7 8 Q K |" +
		"4 7 8 Q K |" +
		"3 7 8 Q K |" +
		"2 7 8 Q K |" +
		"5 6 8 Q K |" +
		"4 6 8 Q K |" +
		"3 6 8 Q K |" +
		"2 6 8 Q K |" +
		"4 5 8 Q K |" +
		"3 5 8 Q K |" +
		"2 5 8 Q K |" +
		"3 4 8 Q K |" +
		"2 4 8 Q K |" +
		"2 3 8 Q K |" +
		"5 6 7 Q K |" +
		"4 6 7 Q K |" +
		"3 6 7 Q K |" +
		"2 6 7 Q K |" +
		"4 5 7 Q K |" +
		"3 5 7 Q K |" +
		"2 5 7 Q K |" +
		"3 4 7 Q K |" +
		"2 4 7 Q K |" +
		"2 3 7 Q K |" +
		"4 5 6 Q K |" +
		"3 5 6 Q K |" +
		"2 5 6 Q K |" +
		"3 4 6 Q K |" +
		"2 4 6 Q K |" +
		"2 3 6 Q K |" +
		"3 4 5 Q K |" +
		"2 4 5 Q K |" +
		"2 3 5 Q K |" +
		"2 3 4 Q K |" +
		"8 9 T J K |" +
		"7 9 T J K |" +
		"6 9 T J K |" +
		"5 9 T J K |" +
		"4 9 T J K |" +
		"3 9 T J K |" +
		"2 9 T J K |" +
		"7 8 T J K |" +
		"6 8 T J K |" +
		"5 8 T J K |" +
		"4 8 T J K |" +
		"3 8 T J K |" +
		"2 8 T J K |" +
		"6 7 T J K |" +
		"5 7 T J K |" +
		"4 7 T J K |" +
		"3 7 T J K |" +
		"2 7 T J K |" +
		"5 6 T J K |" +
		"4 6 T J K |" +
		"3 6 T J K |" +
		"2 6 T J K |" +
		"4 5 T J K |" +
		"3 5 T J K |" +
		"2 5 T J K |" +
		"3 4 T J K |" +
		"2 4 T J K |" +
		"2 3 T J K |" +
		"7 8 9 J K |" +
		"6 8 9 J K |" +
		"5 8 9 J K |" +
		"4 8 9 J K |" +
		"3 8 9 J K |" +
		"2 8 9 J K |" +
		"6 7 9 J K |" +
		"5 7 9 J K |" +
		"4 7 9 J K |" +
		"3 7 9 J K |" +
		"2 7 9 J K |" +
		"5 6 9 J K |" +
		"4 6 9 J K |" +
		"3 6 9 J K |" +
		"2 6 9 J K |" +
		"4 5 9 J K |" +
		"3 5 9 J K |" +
		"2 5 9 J K |" +
		"3 4 9 J K |" +
		"2 4 9 J K |" +
		"2 3 9 J K |" +
		"6 7 8 J K |" +
		"5 7 8 J K |" +
		"4 7 8 J K |" +
		"3 7 8 J K |" +
		"2 7 8 J K |" +
		"5 6 8 J K |" +
		"4 6 8 J K |" +
		"3 6 8 J K |" +
		"2 6 8 J K |" +
		"4 5 8 J K |" +
		"3 5 8 J K |" +
		"2 5 8 J K |" +
		"3 4 8 J K |" +
		"2 4 8 J K |" +
		"2 3 8 J K |" +
		"5 6 7 J K |" +
		"4 6 7 J K |" +
		"3 6 7 J K |" +
		"2 6 7 J K |" +
		"4 5 7 J K |" +
		"3 5 7 J K |" +
		"2 5 7 J K |" +
		"3 4 7 J K |" +
		"2 4 7 J K |" +
		"2 3 7 J K |" +
		"4 5 6 J K |" +
		"3 5 6 J K |" +
		"2 5 6 J K |" +
		"3 4 6 J K |" +
		"2 4 6 J K |" +
		"2 3 6 J K |" +
		"3 4 5 J K |" +
		"2 4 5 J K |" +
		"2 3 5 J K |" +
		"2 3 4 J K |" +
		"7 8 9 T K |" +
		"6 8 9 T K |" +
		"5 8 9 T K |" +
		"4 8 9 T K |" +
		"3 8 9 T K |" +
		"2 8 9 T K |" +
		"6 7 9 T K |" +
		"5 7 9 T K |" +
		"4 7 9 T K |" +
		"3 7 9 T K |" +
		"2 7 9 T K |" +
		"5 6 9 T K |" +
		"4 6 9 T K |" +
		"3 6 9 T K |" +
		"2 6 9 T K |" +
		"4 5 9 T K |" +
		"3 5 9 T K |" +
		"2 5 9 T K |" +
		"3 4 9 T K |" +
		"2 4 9 T K |" +
		"2 3 9 T K |" +
		"6 7 8 T K |" +
		"5 7 8 T K |" +
		"4 7 8 T K |" +
		"3 7 8 T K |" +
		"2 7 8 T K |" +
		"5 6 8 T K |" +
		"4 6 8 T K |" +
		"3 6 8 T K |" +
		"2 6 8 T K |" +
		"4 5 8 T K |" +
		"3 5 8 T K |" +
		"2 5 8 T K |" +
		"3 4 8 T K |" +
		"2 4 8 T K |" +
		"2 3 8 T K |" +
		"5 6 7 T K |" +
		"4 6 7 T K |" +
		"3 6 7 T K |" +
		"2 6 7 T K |" +
		"4 5 7 T K |" +
		"3 5 7 T K |" +
		"2 5 7 T K |" +
		"3 4 7 T K |" +
		"2 4 7 T K |" +
		"2 3 7 T K |" +
		"4 5 6 T K |" +
		"3 5 6 T K |" +
		"2 5 6 T K |" +
		"3 4 6 T K |" +
		"2 4 6 T K |" +
		"2 3 6 T K |" +
		"3 4 5 T K |" +
		"2 4 5 T K |" +
		"2 3 5 T K |" +
		"2 3 4 T K |" +
		"6 7 8 9 K |" +
		"5 7 8 9 K |" +
		"4 7 8 9 K |" +
		"3 7 8 9 K |" +
		"2 7 8 9 K |" +
		"5 6 8 9 K |" +
		"4 6 8 9 K |" +
		"3 6 8 9 K |" +
		"2 6 8 9 K |" +
		"4 5 8 9 K |" +
		"3 5 8 9 K |" +
		"2 5 8 9 K |" +
		"3 4 8 9 K |" +
		"2 4 8 9 K |" +
		"2 3 8 9 K |" +
		"5 6 7 9 K |" +
		"4 6 7 9 K |" +
		"3 6 7 9 K |" +
		"2 6 7 9 K |" +
		"4 5 7 9 K |" +
		"3 5 7 9 K |" +
		"2 5 7 9 K |" +
		"3 4 7 9 K |" +
		"2 4 7 9 K |" +
		"2 3 7 9 K |" +
		"4 5 6 9 K |" +
		"3 5 6 9 K |" +
		"2 5 6 9 K |" +
		"3 4 6 9 K |" +
		"2 4 6 9 K |" +
		"2 3 6 9 K |" +
		"3 4 5 9 K |" +
		"2 4 5 9 K |" +
		"2 3 5 9 K |" +
		"2 3 4 9 K |" +
		"5 6 7 8 K |" +
		"4 6 7 8 K |" +
		"3 6 7 8 K |" +
		"2 6 7 8 K |" +
		"4 5 7 8 K |" +
		"3 5 7 8 K |" +
		"2 5 7 8 K |" +
		"3 4 7 8 K |" +
		"2 4 7 8 K |" +
		"2 3 7 8 K |" +
		"4 5 6 8 K |" +
		"3 5 6 8 K |" +
		"2 5 6 8 K |" +
		"3 4 6 8 K |" +
		"2 4 6 8 K |" +
		"2 3 6 8 K |" +
		"3 4 5 8 K |" +
		"2 4 5 8 K |" +
		"2 3 5 8 K |" +
		"2 3 4 8 K |" +
		"4 5 6 7 K |" +
		"3 5 6 7 K |" +
		"2 5 6 7 K |" +
		"3 4 6 7 K |" +
		"2 4 6 7 K |" +
		"2 3 6 7 K |" +
		"3 4 5 7 K |" +
		"2 4 5 7 K |" +
		"2 3 5 7 K |" +
		"2 3 4 7 K |" +
		"3 4 5 6 K |" +
		"2 4 5 6 K |" +
		"2 3 5 6 K |" +
		"2 3 4 6 K |" +
		"2 3 4 5 K |" +
		"7 9 T J Q |" +
		"6 9 T J Q |" +
		"5 9 T J Q |" +
		"4 9 T J Q |" +
		"3 9 T J Q |" +
		"2 9 T J Q |" +
		"7 8 T J Q |" +
		"6 8 T J Q |" +
		"5 8 T J Q |" +
		"4 8 T J Q |" +
		"3 8 T J Q |" +
		"2 8 T J Q |" +
		"6 7 T J Q |" +
		"5 7 T J Q |" +
		"4 7 T J Q |" +
		"3 7 T J Q |" +
		"2 7 T J Q |" +
		"5 6 T J Q |" +
		"4 6 T J Q |" +
		"3 6 T J Q |" +
		"2 6 T J Q |" +
		"4 5 T J Q |" +
		"3 5 T J Q |" +
		"2 5 T J Q |" +
		"3 4 T J Q |" +
		"2 4 T J Q |" +
		"2 3 T J Q |" +
		"7 8 9 J Q |" +
		"6 8 9 J Q |" +
		"5 8 9 J Q |" +
		"4 8 9 J Q |" +
		"3 8 9 J Q |" +
		"2 8 9 J Q |" +
		"6 7 9 J Q |" +
		"5 7 9 J Q |" +
		"4 7 9 J Q |" +
		"3 7 9 J Q |" +
		"2 7 9 J Q |" +
		"5 6 9 J Q |" +
		"4 6 9 J Q |" +
		"3 6 9 J Q |" +
		"2 6 9 J Q |" +
		"4 5 9 J Q |" +
		"3 5 9 J Q |" +
		"2 5 9 J Q |" +
		"3 4 9 J Q |" +
		"2 4 9 J Q |" +
		"2 3 9 J Q |" +
		"6 7 8 J Q |" +
		"5 7 8 J Q |" +
		"4 7 8 J Q |" +
		"3 7 8 J Q |" +
		"2 7 8 J Q |" +
		"5 6 8 J Q |" +
		"4 6 8 J Q |" +
		"3 6 8 J Q |" +
		"2 6 8 J Q |" +
		"4 5 8 J Q |" +
		"3 5 8 J Q |" +
		"2 5 8 J Q |" +
		"3 4 8 J Q |" +
		"2 4 8 J Q |" +
		"2 3 8 J Q |" +
		"5 6 7 J Q |" +
		"4 6 7 J Q |" +
		"3 6 7 J Q |" +
		"2 6 7 J Q |" +
		"4 5 7 J Q |" +
		"3 5 7 J Q |" +
		"2 5 7 J Q |" +
		"3 4 7 J Q |" +
		"2 4 7 J Q |" +
		"2 3 7 J Q |" +
		"4 5 6 J Q |" +
		"3 5 6 J Q |" +
		"2 5 6 J Q |" +
		"3 4 6 J Q |" +
		"2 4 6 J Q |" +
		"2 3 6 J Q |" +
		"3 4 5 J Q |" +
		"2 4 5 J Q |" +
		"2 3 5 J Q |" +
		"2 3 4 J Q |" +
		"7 8 9 T Q |" +
		"6 8 9 T Q |" +
		"5 8 9 T Q |" +
		"4 8 9 T Q |" +
		"3 8 9 T Q |" +
		"2 8 9 T Q |" +
		"6 7 9 T Q |" +
		"5 7 9 T Q"

	array := strings.Split(s, " |")

	var oldValue uint32
	for _, v := range array {
		cards := &Cards{}
		cards.SetByString(v)
		//t.Log(cards.String())

		k, value := De(cards.GetType())
		if oldValue == 0 {
			oldValue = value
			continue
		}

		assert.Equal(t, oldValue > value, true)
		assert.Equal(t, k, FLUSH)
		//assert.Equal(t,v,uint32(6))
		//t.Log(De(cards.FullFouse(cards.Counter())))
	}

}
