package config

import (
	"github.com/zeromicro/go-queue/rabbitmq"
	"github.com/zeromicro/go-zero/rest"
	"github.com/zeromicro/go-zero/zrpc"
)

type Config struct {
	rest.RestConf
	JwtAuth struct {
		AccessSecret string
		AccessExpire int64
	}
	KqPusherConf struct {
		Brokers []string
		Topic   string
	}
	RabbitSenderConf  rabbitmq.RabbitSenderConf
	UserCenterRpcConf zrpc.RpcClientConf
}
