// Code generated by goctl. DO NOT EDIT.
// goctl 1.7.3

package types

type BetReq struct {
	Value int32 `json:"value"`
}

type BetResp struct {
	Value int32  `json:"value"`
	Kind  string `json:"kind"`
	Uid   uint32 `json:"uid"`
}

type ChatReq struct {
	Uid  uint32
	Text string
}

type ChatResp struct {
}



type JoinRoomReq struct {
	Uid        uint32 `json:"uid"`
	RoomNumber string `json:"roomNumber"`
	RoomPwd    string `json:"roomPwd"`
}

type JoinRoomResp struct {
	UserInfos []*UserInfoResp `json:"userInfo"`
	RoomInfo  *RoomInfoResp   `json:"roomInfo"`
}

type LeaveRoomReq struct {
	RoomNumber string `json:"roomNumber"`
	Uid        uint32 `json:"uid"`
}

type LeaveRoomResp struct {
}

type LoginReq struct {
	Username string `json:"username"`
	Password string `json:"password"`
}

type LoginResp struct {
	AccessToken  string `json:"accessToken"`
	RefreshAfter int64  `json:"refreshAfter"`
	UnionId      string `json:"unionId"`
	Id           int64  `json:"uid"`      // 用户id
	Username     string `json:"username"` // 客户端玩家展示的账号
	Nickname     string `json:"nickname"` // 微信昵称
	Gender       uint8  `json:"gender"`   // 微信性别 0-未知，1-男，2-女
	Profile      string `json:"profile"`  // 微信头像
	Chips        uint64 `json:"chips"`    // 筹码
}

type LogoutReq struct {
	Token string `json:"token"`
}

type LogoutResp struct {
}

type RegisterReq struct {
	Username string `json:"username"`
	Password string `json:"password"`
}

type RegisterResp struct {
	UserInfo LoginResp `json:"userInfo"`
}

type RoomInfoReq struct {
}

type RoomInfoResp struct {
	RoomNumber string   `json:"roomNumber"`
	Volume     uint8    `json:"volume"`
	GameType   uint32   `json:"gameType"`  //游戏类型 即玩法
	PayValue   uint8    `json:"payValue"`  //倍数
	BaseMoney  uint32   `json:"baseMoney"` //最低资本 才能进房间
	RoomPwd    string   `json:"roomPwd"`   //房间锁--密码
	RoomID     uint32   `json:"roomID"`
	SB         uint32   `json:"SB"`      // 小盲注
	BB         uint32   `json:"BB"`      // 大盲注
	Cards      []byte   `json:"cards"`   //公共牌
	Pot        []uint32 `json:"pot"`     // 当前奖池筹码数
	Timeout    uint8    `json:"timeout"` // 倒计时超时时间(秒)
	Button     uint8    `json:"button"`  // 当前庄家座位号，从1开始
	Chips      []uint32 `json:"chips"`   // 玩家本局下注的总筹码数，与occupants一一对应
	Bet        uint32   `json:"bet"`     // 当前下注额
	Max        uint8    `json:"max"`     // 房间最大玩家人数
	MaxChips   uint32   `json:"maxChips"`
	MinChips   uint32   `json:"minChips"`
}

type RoomListReq struct {
}

type RoomListResp struct {
	Room []*RoomModel `json:"room"`
}

type RoomModel struct {
	Id              uint32 `json:"id"`
	RoomNumber      string `json:"roomNumber"`      // 给玩家展示的房间号
	State           uint8  `json:"state"`           //房间状态 0默认可用 1不可用
	RoomName        string `json:"roomName"`        //房间名字
	CreatedAt       uint32 `json:"createdAt"`       //创建时间
	OriginalOwnerID uint32 `json:"originalOwnerID"` //原始创建人的信息
	Owner           uint32 `json:"owner"`           //房管
	Kind            uint32 `json:"kinds"`           //游戏类型 即玩法
	DraginChips     uint32 `json:"draginChips"`     // 带入筹码
	Cap             uint8  `json:"cap"`
	MaxCap          uint8  `json:"maxCap"`
}

type Showdown struct {
	Showdown []*ShowdownItem `json:"showdown"`
}

type ShowdownItem struct {
	Uid      int64 `json:"uid"`
	ChipsWin uint32 `json:"chipsWin"`
	Chips    uint32 `json:"chips"`
}

type SitDownReq struct {
	Uid uint32 `json:"uid"`
	Pos uint8  `json:"pos"`
}

type SitDownResp struct {
}

type StandUpReq struct {
	Uid uint32 `json:"uid"`
}

type StandUpResp struct {
}

type UserInfoReq struct {
}

type UserInfoResp struct {
	Uid      int64  `json:"id"`       // 用户id
	Username string `json:"username"` // 客户端玩家展示的账号
	Nickname string `json:"nickname"` // 微信昵称
	Sex   uint8  `json:"sex"`   // 微信性别 0-未知，1-男，2-女
	Profile  string `json:"profile"`  // 微信头像
	Chips    int64  `json:"chips"`    // 筹码
	Pos    uint8  `json:"pos"`    // 玩家座位号从1开始 0代表观察者
}
